=== debian/changelog ===
phonon (4:4.8.0-4) unstable; urgency=medium

  * Team upload.
  * Add do_not_assume_existing_backend.patch to solve a crash when running
    without a backend (Closes: #771138).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 27 Nov 2014 10:33:03 -0300

phonon (4:4.8.0-3) unstable; urgency=medium

  * Remove debian/installgen, no longer used.
  * Simplify merginging expand4qt5_vars.awk into expand_vars.awk

 -- Diane Trout <diane@ghic.org>  Sun, 28 Sep 2014 10:39:24 -0700

phonon (4:4.8.0-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Provide Qt 5 versions of the packages (Closes: #731936).
    - Modify debian/rules to allow the double build.

  [ Diane Trout]
  * add libqt5opengl5-dev to build dependencies.
  * update SO versions to 4.8.0 for libphonon4qt5*.install
  * Add myself to uploaders.
  * phonon4qt5-backend-null should only conflict with other
    phonon4qt5-backends.
  * update libphonon4qt5-dev.install package
  * Add symbols files for libphonon4qt5 and libphonon4qt5experimental4
  * Add override_dh_strip target to correctly build libphonon-dbg (qt4)
    and libphonon4qt5-dbg (qt5) debug packages.
  * Add qttools5-dev as a build dependency in order to build qt5 phononwidgets
    designer support library.
  * Merge in changes from Kubuntu to support Qt5 debconf warning.
    (Done by Jonathan Riddell)
  * Rename libphonon4qt5 library to libphonon4qt5-4 to match soname

 -- Diane Trout <diane@ghic.org>  Sat, 20 Sep 2014 10:27:04 -0700

phonon (4:4.8.0-1) unstable; urgency=medium

  * Team upload.

  * New upstream release (4.8.0).
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Sep 2014 17:15:34 +0200

phonon (4:4.7.2-1) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Fix the watch file.
  * phonon: explicitly lists all the backends as suggests, without relying on
    ${phonon:Recommended-Backend}.

  [ Felix Geyer ]
  * New upstream release.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 18 Aug 2014 20:46:36 +0200

phonon (4:4.7.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Remove the extra 0 used to avoid the "really" in the versioning.
  * Remove no_rpath.patch. The logic of the patch is now available in the
    upstream code.
  * Update symbols file. This version adds a new symbol.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 09 Dec 2013 16:31:51 -0300
